Summary : 	A Graphical Debugger Interface
Name: 		kdbg
Version: 	1.2.2
Release: 	0.2mdk
License: 	GPL
URL: 		http://members.nextra.at/johsixt/kdbg.html
Group: 		Development/Other
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%{name}-buildroot
Requires:	gdb
BuildRequires:	gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common-devel XFree86-static-libs automake
BuildRequires:	autoconf diffutils file libtool m4 texinfo gettext kdelibs-devel
BuildRequires:	gcc-c++ kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires:	libmng1 libpng2 libqt2 libqt2-devel rpm-build

%description
KDbg is a graphical user interface to gdb, the GNU debugger. 

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code. 

%prep

%setup -q

%configure --with-kde-version=2 \
	   --with-qt-dir=%_libdir/qt2 \
	   --disable-rpath \
	   --disable-debug \
	   --enable-final

%build

%make

%install

%makeinstall

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/kdbg" \
title="Kdbg" \
longtitle="A Graphical Debugger Interface" \
needs="x11" \
icon="%{name}.png" \  
section="Applications/Development/Tools"
EOF


rm -f %buildroot/%_datadir/types.html

%post 
%update_menus
  
%postun 
%clean_menus


%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc COPYING ChangeLog README 
%_bindir/*
%_datadir/applnk/Development/kdbg.desktop

%dir %_datadir/apps/kdbg
%dir %_datadir/apps/kdbg/pics/
%_datadir/apps/kdbg/pics/*.xpm
#
%dir %_datadir/apps/kdbg/types/
%_datadir/apps/kdbg/types/*.kdbgtt
#
%_datadir/icons/hicolor/16x16/apps/kdbg.png
%_datadir/icons/hicolor/32x32/apps/kdbg.png
%_datadir/icons/locolor/16x16/apps/kdbg.png
%_datadir/icons/locolor/32x32/apps/kdbg.png 
# MONTEL laurent 2001-03-29 don't add message
# because there are in kde-i18n
#%lang(cs) %_datadir/locale/cs/LC_MESSAGES/kdbg.mo
#%lang(da) %_datadir/locale/da/LC_MESSAGES/kdbg.mo
#%lang(de) %_datadir/locale/de/LC_MESSAGES/kdbg.mo
#%lang(es) %_datadir/locale/es/LC_MESSAGES/kdbg.mo
#%lang(fr) %_datadir/locale/fr/LC_MESSAGES/kdbg.mo
#%lang(hr) %_datadir/locale/hr/LC_MESSAGES/kdbg.mo
#%lang(hu) %_datadir/locale/hu/LC_MESSAGES/kdbg.mo
#%lang(it) %_datadir/locale/it/LC_MESSAGES/kdbg.mo
#%lang(ja) %_datadir/locale/ja/LC_MESSAGES/kdbg.mo
#%lang(no) %_datadir/locale/no/LC_MESSAGES/kdbg.mo
#%lang(no_NY) %_datadir/locale/no_NY/LC_MESSAGES/kdbg.mo
#%lang(pl) %_datadir/locale/pl/LC_MESSAGES/kdbg.mo
#%lang(pt) %_datadir/locale/pt/LC_MESSAGES/kdbg.mo
#%lang(ro) %_datadir/locale/ro/LC_MESSAGES/kdbg.mo
#%lang(ru) %_datadir/locale/ru/LC_MESSAGES/kdbg.mo
#%lang(sk) %_datadir/locale/sk/LC_MESSAGES/kdbg.mo
#%lang(sr) %_datadir/locale/sr/LC_MESSAGES/kdbg.mo
#%lang(sv) %_datadir/locale/sv/LC_MESSAGES/kdbg.mo
#%lang(tr) %_datadir/locale/tr/LC_MESSAGES/kdbg.mo
#%lang(zh_CN.GB2312) %_datadir/locale/zh_CN.GB2312/LC_MESSAGES/kdbg.mo

%_datadir/*.html
%_menudir/*

%changelog
* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.2mdk
- Rebuild with new kdelibs

* Tue Aug 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.1mdk
- Update code (1.2.2)

* Sat Jun 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.2mdk
- Rebuild with kde2.2alpha2

* Wed May 2 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.1mdk
- Update code

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.6mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.5mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.4mdk
- Add build requires 

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.3mdk
- Rebuild against Qt 2.3.0

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.2mdk
- rebuild

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-0.1mdk
- new in contribs
